#!/bin/bash
#Tomcat 更新脚本只争对10、9、8.5三个版本
#
function download {

##构建tomcat文件名，以数组的形式
filename[0]=apache-tomcat-${version}.zip
filename[1]=apache-tomcat-${version}.tar.gz
filename[2]=apache-tomcat-${version}.exe
filename[3]=apache-tomcat-${version}-windows-x86.zip
filename[4]=apache-tomcat-${version}-windows-x64.zip

##创建新的文件夹
cd /www/wwwroot/soft.l-t.top/Tomcat和JDK
mkdir -p "Apache Tomcat ${version}"
cd "Apache Tomcat ${version}"

##使用for循环下载
for((i=0;i<${#filename[@]};i++))
do
	wget  --no-check-certificate -N "https://dlcdn.apache.org/tomcat/tomcat-${ver}/v${version}/bin/${filename[i]}"
done

cp ../'Apache Tomcat 6.0.53'/_h5ai.footer.html ./
}


find ./ -name "Apache Tomcat [8,9,10]*" -mtime +360 | grep -v 8.0 | xargs -i rm -rf {}

##tomcat 10 获取的最新版本号
url=$( wget -qO- "https://archive.apache.org/dist/tomcat/tomcat-10/" |grep `date "+%Y"` |sort -t - -k2 -n | tail -1 | awk -F\" '{print $6}' )
version=${url:1:7}
ver=${url:1:2}
download

##tomcat 9 获取的最新版本号
url=$( wget -qO- "https://archive.apache.org/dist/tomcat/tomcat-9/" |grep `date "+%Y"` |sort -t - -k2 -n | tail -1 | awk -F\" '{print $6}' )
version=${url:1:6}
ver=${url:1:1}
download

##tomcat 8.5 获取的最新版本号
url=$( wget -qO- "https://archive.apache.org/dist/tomcat/tomcat-8/" |grep `date "+%Y"` |sort -t - -k2 -n | tail -1 | awk -F\" '{print $6}' )
version=${url:1:6}
ver=${url:1:1}
download